%if 0%{?el7}
%define dist .el7
%endif

Name:           libmpdclient
Version:        2.11
Release:        1%{?dist}
Summary:        This is a library for interfacing Music Player Daemon (MPD).

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool doxygen

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
./autogen.sh

%build
%configure --disable-static \
	--enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-%{version}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS INSTALL NEWS README
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*
%exclude %{_docdir}/%{name}-%{version}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/libmpdclient.vapi
%{_docdir}/%{name}-%{version}/*

%changelog
* Sun Apr 02 2017 momo-i <webmaster@momo-i.org> - 2.11-1
- Update to 2.11

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.10-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.10-4
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.10-3
- Rebuilt for fc22

* Mon Mar  9 2015 momo-i <webmaster@momo-i.org> - 2.10-2
- Update to 2.10

* Wed Nov 27 2013 momo-i <webmaster@momo-i.org> - 2.9-2
- Update to 2.9

* Mon Oct  7 2013 momo-i <webmaster@momo-i.org> - 2.8-2
- Update docs

* Wed Jun 26 2013 momo-i <webmaster@momo-i.org> 2.8-1
- Initial rpm release.
